geos::geom::prep::PreparedLineString Class Reference

A prepared version of `LinearRing`, `LineString` or `MultiLineString` geometries. More...

`#include <PreparedLineString.h>`

Inheritance diagram for geos::geom::prep::PreparedLineString:

## Public Member Functions

| PreparedLineString (const Geometry *geom)
noding::FastSegmentSetIntersectionFinder * | getIntersectionFinder ()
bool | intersects (const geom::Geometry *g) const override
std::unique_ptr< geom::CoordinateSequence > | nearestPoints (const geom::Geometry *g) const override
double | distance (const geom::Geometry *g) const override
bool | isWithinDistance (const geom::Geometry *g, double d) const override
operation::distance::IndexedFacetDistance * | getIndexedFacetDistance () const
Public Member Functions inherited from geos::geom::prep::BasicPreparedGeometry
| BasicPreparedGeometry (const Geometry *geom)
const geom::Geometry & | getGeometry () const override
| Gets the original `Geometry` which has been prepared.
const std::vector< const CoordinateXY * > * | getRepresentativePoints () const
bool | isAnyTargetComponentInTest (const geom::Geometry *testGeom) const
bool | within (const geom::Geometry *g) const override
bool | contains (const geom::Geometry *g) const override
bool | containsProperly (const geom::Geometry *g) const override
bool | coveredBy (const geom::Geometry *g) const override
bool | covers (const geom::Geometry *g) const override
bool | crosses (const geom::Geometry *g) const override
bool | disjoint (const geom::Geometry *g) const override
bool | overlaps (const geom::Geometry *g) const override
bool | touches (const geom::Geometry *g) const override
std::unique_ptr< IntersectionMatrix > | relate (const geom::Geometry *g) const override
bool | relate (const geom::Geometry *g, const std::string &pat) const override
std::string | toString ()

## Additional Inherited Members

Protected Member Functions inherited from geos::geom::prep::BasicPreparedGeometry
void | setGeometry (const geom::Geometry *geom)
bool | envelopesIntersect (const geom::Geometry *g) const
bool | envelopeCovers (const geom::Geometry *g) const

## Detailed Description

A prepared version of `LinearRing`, `LineString` or `MultiLineString` geometries.

Author
  mbdavis

## Member Function Documentation

## distance()

double geos::geom::prep::PreparedLineString::distance | ( | const geom::Geometry * | g | ) | const

override virtual

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

## intersects()

bool geos::geom::prep::PreparedLineString::intersects | ( | const geom::Geometry * | g | ) | const

override virtual

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

## isWithinDistance()

bool geos::geom::prep::PreparedLineString::isWithinDistance | ( | const geom::Geometry * | geom,
|  | double | dist ) const

override virtual

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

## nearestPoints()

std::unique_ptr< geom::CoordinateSequence > geos::geom::prep::PreparedLineString::nearestPoints | ( | const geom::Geometry * | g | ) | const

override virtual

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

The documentation for this class was generated from the following file:

- PreparedLineString.h